"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSeederDatabaseConfigObject = exports.defaultDatabaseConfigObject = void 0;
/**
 * Stores default values for database connection.
 */
exports.defaultDatabaseConfigObject = {
    protocol: 'mongodb',
    host: '127.0.0.1',
    port: 27017,
    name: 'database',
    username: undefined,
    password: undefined,
    options: undefined,
};
/**
 * Checks if an object is valid database connection configuration.
 *
 * @param object Input object
 */
function isSeederDatabaseConfigObject(object) {
    if (typeof object !== 'object' && object === null) {
        return false;
    }
    const obj = object;
    return (typeof obj.protocol === 'string' &&
        typeof obj.host === 'string' &&
        typeof obj.port === 'number' &&
        typeof obj.name === 'string');
}
exports.isSeederDatabaseConfigObject = isSeederDatabaseConfigObject;
//# sourceMappingURL=config.js.map